(function(){

    let showSpoiler = function (event) {
        let button = event.currentTarget
        let article = button.parentElement.parentElement

        let spoilers = article.getElementsByClassName('spoiler')
        console.log(spoilers)
        for (let spoiler of spoilers){
            spoiler.classList.add('spoiler-visible')
        }

        button.style.display = 'none'
    }

    document.addEventListener('DOMContentLoaded', function () {

        let spoiler_buttons = document.querySelectorAll(".spoiler-button")
        spoiler_buttons.forEach(button => {
            button.addEventListener('click', showSpoiler)
        })

    })

})()