(function(){

    let showSpoiler = function (event) {
        let button = event.currentTarget

        let spoilers = document.getElementsByClassName('spoiler')
        for (let spoiler of spoilers){
            spoiler.classList.add('spoiler-visible')
            // spoilers.classList.toggle('spoilers-visible') // pour ajouter/retirer la classe
        }

        button.style.display = 'none'
    }

    document.addEventListener('DOMContentLoaded', function () {

        let spoiler_buttons = document.querySelectorAll(".spoiler-button")
        spoiler_buttons.forEach(button => {
            button.addEventListener('click', showSpoiler)
        })

    })

})()