(function () {

    let showSpoiler = function (event) {
        let button = event.currentTarget
        button.style.display = 'none'
        button.nextElementSibling.classList.add('spoiler-visible')
    }

    document.addEventListener('DOMContentLoaded', function () {

        // sélectionner les spoilers
        // let query = ".spoilers"
        let query = ".spoiler:not(.spoiler-visible)" // mieux : seulement les spoilers non visibles

        let spoilers = document.querySelectorAll(query)
        spoilers.forEach(element => {

            // sauvegarde du contenu
            let html = element.innerHTML
            element.innerHTML = ""

            // création du bouton
            let button = document.createElement('button')
            button.innerText = 'spoiler'
            button.addEventListener('click', showSpoiler)

            // dédoublage du contenu
            let span = document.createElement('span')
            span.innerHTML = html
            span.classList.add('spoiler')

            // configuration et affichage du spoilers
            element.appendChild(button)
            element.appendChild(span)
            element.classList.remove('spoiler')

        })

    })

})()