(function () {

    document.addEventListener('DOMContentLoaded', function () {
        let sidebar = document.getElementById('sidebar')

        console.log(sidebar)
        if (sidebar === null) return ;

        let content = document.getElementById('main-content')
        let articles = content.querySelectorAll('article')

        articles.forEach(article =>{
            let id = article.getAttribute('id')
            let title =  article.querySelector('h1').innerText

            let a = document.createElement('a')
            a.setAttribute('href', `#${id}`)
            a.innerText = title
            sidebar.append(a)

        })

    })

})()